petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscStageLogSetVisible

This function determines whether a stage is printed during PetscLogView()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStageLogSetVisible(PetscStageLog stageLog, int stage, PetscBool isVisible)

Not Collective

### Input Parameters

| stageLog | - The PetscStageLog
| stage | - The stage to log
| isVisible | - The visibility flag, PETSC_TRUE for printing, otherwise PETSC_FALSE (default is PETSC_TRUE)

### Database Options

-log_view -Activates log summary

### See Also

PetscStageLogGetVisible(), PetscStageLogGetCurrent(), PetscStageLogRegister(), PetscLogGetStageLog()

### Level

developer

### Location

src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages